| Kea 3.0.2-git

reconnect_ctl.h File Reference
`#include <string>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for reconnect_ctl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::util::ReconnectCtl
| Warehouses reconnect control values. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util

## Typedefs
typedef boost::shared_ptr< ReconnectCtl > | isc::util::ReconnectCtlPtr
| Pointer to an instance of ReconnectCtl.

## Enumerations
enum class | isc::util::OnFailAction { isc::util::STOP_RETRY_EXIT , isc::util::SERVE_RETRY_EXIT , isc::util::SERVE_RETRY_CONTINUE }
| Type of action to take on connection loss. More...